package net.minecraft.network.protocol.game;

import net.minecraft.network.PacketListener;
import java.io.IOException;
import net.minecraft.network.FriendlyByteBuf;
import net.minecraft.network.protocol.Packet;

public class ClientboundForgetLevelChunkPacket implements Packet<ClientGamePacketListener> {
    private int x;
    private int z;
    
    public ClientboundForgetLevelChunkPacket() {
    }
    
    public ClientboundForgetLevelChunkPacket(final int integer1, final int integer2) {
        this.x = integer1;
        this.z = integer2;
    }
    
    @Override
    public void read(final FriendlyByteBuf mg) throws IOException {
        this.x = mg.readInt();
        this.z = mg.readInt();
    }
    
    @Override
    public void write(final FriendlyByteBuf mg) throws IOException {
        mg.writeInt(this.x);
        mg.writeInt(this.z);
    }
    
    @Override
    public void handle(final ClientGamePacketListener nl) {
        nl.handleForgetLevelChunk(this);
    }
    
    public int getX() {
        return this.x;
    }
    
    public int getZ() {
        return this.z;
    }
}
